# Class ParamMask

java.lang.Object
org.apache.jmeter.testelement.AbstractTestElement
org.apache.jmeter.protocol.http.modifier.ParamMask

All Implemented Interfaces:
  `Serializable, Cloneable, Searchable, TestElement`

public class ParamMask extends AbstractTestElement implements Serializable
This object defines with what a parameter has its value replaced, and the policies for how that value changes. Used in `ParamModifier`.

Version:
  $Revision: 1639483 $
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from interface TestElement

`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

## Constructor Summary

Constructors
Constructor
Description
`ParamMask()`
Default constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getFieldName()`
`long`
`getIncrement()`
Accessor method, returns the number by which the parameter value is incremented between loops.
`long`
`getLowerBound()`
Accessor method, returns the lowest possible value that the `long` portion of the parameter value may be.
`String`
`getNextValue()`
Returns the current value, prefixed and suffixed, as a string, then increments it.
`String`
`getPrefix()`
Accessor method to return the `String` that will be prefixed to the `long` value.
`String`
`getSuffix()`
Accessor method to return the `String` that will be suffixed to the `long` value.
`long`
`getUpperBound()`
Accessor method, returns the highest possible value that the `long` portion of the parameter value may be.
`void`
`resetValue()`
This method determines the policy of what value to start (and re-start) at.
`void`
`setFieldName(String fieldName)`
`void`
`setIncrement(long incr)`
Sets the number by which the parameter value is incremented between loops.
`void`
`setLowerBound(long val)`
Sets the lowest possible value that the `long` portion of the parameter value may be.
`void`
`setPrefix(String prefix)`
Sets the prefix for the `long` value.
`void`
`setSuffix(String suffix)`
Sets the suffix for the `long` value.
`void`
`setUpperBound(long val)`
Sets the highest possible value that the `long` portion of the parameter value may be.
`void`
`setValue(long val)`
Set the current value of the `long` portion of the parameter value to replace.
`String`
`toString()`
For debugging purposes.

### Methods inherited from class AbstractTestElement

`addPropertiesValues, addProperty, addProperty, addTestElement, canRemove, clear, clearTemporary, clearTestElementChildren, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getSearchableTokens, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setEnabled, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

### Methods inherited from class Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ParamMask

public ParamMask()
Default constructor.

## Method Details

### setPrefix

public void setPrefix(String prefix)
Sets the prefix for the `long` value. The prefix, the value and the suffix are concatenated to give the parameter value. This allows a wider range of posibilities for the parameter values.

Parameters:
  `prefix` - a string to prefix to the parameter value

### setValue

public void setValue(long val)
Set the current value of the `long` portion of the parameter value to replace. This is usually not used, as the method `resetValue()` is used to define a policy for the starting value.

Parameters:
  `val` - the new parameter value

### setFieldName

public void setFieldName(String fieldName)

### setLowerBound

public void setLowerBound(long val)
Sets the lowest possible value that the `long` portion of the parameter value may be.

Parameters:
  `val` - the new lowest possible parameter value

### setUpperBound

public void setUpperBound(long val)
Sets the highest possible value that the `long` portion of the parameter value may be.

Parameters:
  `val` - the new highest possible parameter value

### setIncrement

public void setIncrement(long incr)
Sets the number by which the parameter value is incremented between loops.

Parameters:
  `incr` - the new increment for the parameter value

### setSuffix

public void setSuffix(String suffix)
Sets the suffix for the `long` value. The prefix, the value and the suffix are concatenated to give the parameter value. This allows a wider range of posibilities for the parameter values.

Parameters:
  `suffix` - a string to suffix to the parameter value

### getPrefix

public String getPrefix()
Accessor method to return the `String` that will be prefixed to the `long` value.

Returns:
  the parameter value prefix

### getLowerBound

public long getLowerBound()
Accessor method, returns the lowest possible value that the `long` portion of the parameter value may be.

Returns:
  the lower bound of the possible values

### getUpperBound

public long getUpperBound()
Accessor method, returns the highest possible value that the `long` portion of the parameter value may be.

Returns:
  the higher bound of the possible values

### getIncrement

public long getIncrement()
Accessor method, returns the number by which the parameter value is incremented between loops.

Returns:
  the increment

### getSuffix

public String getSuffix()
Accessor method to return the `String` that will be suffixed to the `long` value.

Returns:
  the parameter value suffix

### getNextValue

public String getNextValue()
Returns the current value, prefixed and suffixed, as a string, then increments it. If the incremented value is above the upper bound, the value is reset to the lower bound.

This method determines the policy of what happens when an upper bound is reached/surpassed.

Returns:
  a `String` representing the current `long` value

### resetValue

public void resetValue()
This method determines the policy of what value to start (and re-start) at.

### getFieldName

public String getFieldName()

### toString

public String toString()
For debugging purposes.

Overrides:
  `toString` in class `Object`
Returns:
  a `String` representing the object